# Class: AdminProductTagsResource

## Hierarchy

- `default`

  ↳ **`AdminProductTagsResource`**

## Methods

### list

▸ **list**(`query?`): [`ResponsePromise`](../modules/internal.md#responsepromise)<[`AdminProductTagsListRes`](../modules/internal-18.md#adminproducttagslistres)\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `query?` | [`AdminGetProductTagsParams`](internal-18.AdminGetProductTagsParams.md) |

#### Returns

[`ResponsePromise`](../modules/internal.md#responsepromise)<[`AdminProductTagsListRes`](../modules/internal-18.md#adminproducttagslistres)\>

#### Defined in

[medusa-js/src/resources/admin/product-tags.ts:10](https://github.com/medusajs/medusa/blob/29135c051/packages/medusa-js/src/resources/admin/product-tags.ts#L10)
